Last Comment Bug 884801 - In the contacts sidebar in compose window, the column titles of the found cards list are white
: In the contacts sidebar in compose window, the column titles of the found car...
Status: RESOLVED FIXED
: polish
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: Thunderbird 26.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 06:34 PDT by :aceman
Modified: 2013-08-12 06:15 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
screenshot (14.23 KB, image/png)
2013-06-19 06:34 PDT, :aceman
no flags Details
patch (5.97 KB, patch)
2013-06-20 11:34 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Review
patch unbitrotted (6.06 KB, patch)
2013-07-11 11:34 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description :aceman 2013-06-19 06:34:26 PDT
Created attachment 764725 [details]
screenshot

In the contacts sidebar in compose window, the column titles of the found cards list are white.
It is caused by 3 { background-color: transparent; } style in 
chrome://messenger/skin/addressbook/abContactsPanel.css applying to these elements.

Can you check if those are intentional (e.g. so that the panel can be overlaid on different backgrounds) or just a mistake?

This was found on Win XP but please check other OSes too.
Comment 1 Richard Marti (:Paenglab) 2013-06-20 11:34:37 PDT
Created attachment 765477 [details] [diff] [review]
patch

You are correct, this is only visible on classic Windows where the treecols are affected by such stylings. On all other systems the -moz-appearance: treeheadercell hides the custom stylings.

I've also removed unneeded rules which are already in addressbook.css and included with the @import on top of abContactsPanel.css.
Comment 2 Richard Marti (:Paenglab) 2013-07-11 11:34:23 PDT
Created attachment 774142 [details] [diff] [review]
patch unbitrotted

Unbitrotted patch after landing of bug 865670.
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2013-08-11 07:31:04 PDT
Comment on attachment 774142 [details] [diff] [review]
patch unbitrotted

Review of attachment 774142 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry for the delay! Thanks Richard!
Comment 4 Richard Marti (:Paenglab) 2013-08-11 07:56:24 PDT
Comment on attachment 774142 [details] [diff] [review]
patch unbitrotted

[Approval Request Comment]
This is only a visual bug and could help TB 24ESR to look better but this was a bug which was in since a long time without any user reaction, so it makes nothing when it can't land on ESR.
Comment 5 Mark Banner (:standard8) 2013-08-12 05:47:17 PDT
https://hg.mozilla.org/comm-central/rev/3ad2c3980fc3

Note You need to log in before you can comment on or make changes to this bug.